@echo off
echo Generating web upgrade image, please wait ...

If "%1" == "" (
	echo Missing parameters!
	goto :EOF
)


utils\rm -f custom_web.img

@Rem create info file
echo ;requirements > fw_sm2.nfo
echo bl_version=%1 >> fw_sm2.nfo
echo product_id=%2 >> fw_sm2.nfo
echo product_ver=0 >> fw_sm2.nfo
echo update_mode=%6 >> fw_sm2.nfo
echo checksum=FFFF >> fw_sm2.nfo

echo ;info >> fw_sm2.nfo 
echo creation_date=%date% >> fw_sm2.nfo
echo creation_time=%time:~0,8% >> fw_sm2.nfo
echo created_by=%username% >> fw_sm2.nfo
echo firmware_version=%3b%4 >> fw_sm2.nfo
If Not "%5" == "" echo release_candidate=%5 >> fw_sm2.nfo


@Rem prepare web pages
md webfiles
utils\cp -pf pages/*.* webfiles

md webfiles\css
utils\cp -pf css/*.* webfiles/css

if exist ".\font" (
	md webfiles\font
	utils\cp -pf font/*.* webfiles/font
)

md webfiles\img
utils\cp -pf img/*.* webfiles/img

md webfiles\js
utils\cp -pf js/*.* webfiles/js

SET currentDir=%cd%
utils\fnr.exe --cl --find "{{VERSION}}" --replace "%4" --fileMask "*.xsl" --dir "%currentDir%\webfiles" --silent
utils\fnr.exe --cl --find "{{VERSION}}" --replace "%4" --fileMask "lcd.js" --dir "%currentDir%\webfiles\js" --silent

@Rem Minify JS and CSS files
utils\AjaxMinifier.exe webfiles\js\lcd.js -out webfiles\js\lcd.js -clobber -silent
utils\AjaxMinifier.exe webfiles\css\lcd.css -out webfiles\css\lcd.css -clobber -silent

>null utils\gzip -r webfiles\js\*
>null utils\gzip -r webfiles\css\*
if exist "webfiles\img\bg_lcd_b.png" (
	>null utils\gzip -r webfiles\img\bg_lcd_b.png
)
if exist "webfiles\img\bg_lcd_h.jpg" (
	>null utils\gzip -r webfiles\img\bg_lcd_h.jpg
)
if exist ".\webfiles\img\bg_lcd_h.png" (
	>null utils\gzip -r webfiles\img\bg_lcd_h.png
)
if exist ".\webfiles\img\bg_body.png" (
	>null utils\gzip -r webfiles\img\bg_body.png
)
if exist ".\webfiles\img\bg_cont2.png" (
	>null utils\gzip -r webfiles\img\bg_cont2.png
)
@rem >null utils\gzip -r webfiles\img\*.png
@rem >null utils\gzip -r webfiles\img\*.jpg
@rem >null utils\gzip -r webfiles\img\*.ico
@rem >null utils\gzip -r webfiles\font\*.wo
>null utils\gzip -r webfiles\*.xsl

for /R %%f in (*.*.gz) do rename "%%f" "%%~nf" 

>null utils\zip.exe -r -0 custom_web.img webfiles fw_sm2.nfo

utils\rm -fr webfiles
utils\rm -f fw_sm2.nfo
utils\rm -f null

echo Image successfully created, you can upload it to a Solar Monitor unit.
